MONGOC_URI_GET_READ_PREFS(3)

NAME
mongoc_uri_get_read_prefs - mongoc_uri_get_read_prefs()

SYNOPSIS

        const bson_t *
        mongoc_uri_get_read_prefs (const mongoc_uri_t *uri);

DEPRECATED

WARNING:
        This function is deprecated and should not be used in new code.

Please use mongoc_uri_get_read_prefs_t() instead.

PARAMETERS

    •   uri: A mongoc_uri_t.

DESCRIPTION

Fetches a bson document containing read preference tag information from a URI. Note that this does not include the read preference mode.

RETURNS

Returns a bson document that should not be modified or freed.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc